@import url("https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700|Poppins:300,400,500,600,700&display=swap");

:root {
    --blue: #1e90ff;
    --white: #ffffff;
    --gold: #F4D585;
    --background: radial-gradient(ellipse at center, #2c2d2f 0%, #1f2022 50%, #151617 100%);
    --grey: #C9C9C9;
}


body {
    font-family: "Open Sans", sans-serif;
    font-weight: normal;
    font-style: normal;
    overflow-x: hidden;
    /* background: radial-gradient(ellipse at center, #2c2d2f 0%, #1f2022 50%, #151617 100%); */
    background-color: #0F1014;
    background-repeat: no-repeat;
}

.background-decor::before,
.background-decor::after {
    content: '';
    position: fixed;
    top: 0;
    width: 500px;
    height: 100vh;
    background-image: url('../images/background.png');
    background-repeat: repeat;
    background-size: 100% auto;
    z-index: 0;
    opacity: 0.4;
}

.background-decor::before {
    left: 0;
    transform: scaleX(-1);
}

.background-decor::after {
    right: 0;
}

* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

img {
    max-width: 100%;
}

a:focus,
input:focus,
textarea:focus,
button:focus {
    text-decoration: none;
    outline: none;
}

a:focus,
a:hover {
    text-decoration: none;
}

i,
span,
a {
    display: inline-block;
}

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Poppins", sans-serif;
    font-weight: 700;
    color: var(--white);
    margin: 0px;
}

h1 {
    font-size: 48px !important;
}

h2 {
    font-size: 36px !important;
}

h3 {
    font-size: 28px !important;
}

h4 {
    font-size: 22px !important;
}

h5 {
    font-size: 18px !important;
}

h6 {
    font-size: 16px !important;
}

ul,
ol {
    margin: 0px;
    padding: 0px;
    list-style-type: none;
}

p {
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    color: var(--white);
    margin: 0px;
}

.bg_cover {
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
}

/* NAVBAR */

.navbar-area {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 99;
    -webkit-transition: all 0.3s ease-out 0s;
    -moz-transition: all 0.3s ease-out 0s;
    -ms-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    transition: all 0.3s ease-out 0s;
}

.sticky {
    position: fixed;
    z-index: 99;
    background-color: #1f2022;
    -webkit-box-shadow: 0px 20px 50px 0px rgba(0, 0, 0, 0.05);
    -moz-box-shadow: 0px 20px 50px 0px rgba(0, 0, 0, 0.05);
    box-shadow: 0px 20px 50px 0px rgba(0, 0, 0, 0.05);
    -webkit-transition: all 0.3s ease-out 0s;
    -moz-transition: all 0.3s ease-out 0s;
    -ms-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    transition: all 0.3s ease-out 0s;
}

.navbar {
    padding: 0;
    border-radius: 5px;
    position: relative;
    -webkit-transition: all 0.3s ease-out 0s;
    -moz-transition: all 0.3s ease-out 0s;
    -ms-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    transition: all 0.3s ease-out 0s;
    /* padding: 35px 0; */
}

.navbar-brand {
    padding: 0;
}

.navbar-brand img {
    max-width: 100px;
}

.navbar-toggler {
    padding: 0;
}

.navbar-toggler .toggler-icon {
    width: 30px;
    height: 2px;
    background-color: #222;
    display: block;
    margin: 5px 0;
    position: relative;
    -webkit-transition: all 0.3s ease-out 0s;
    -moz-transition: all 0.3s ease-out 0s;
    -ms-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    transition: all 0.3s ease-out 0s;
}

.navbar-toggler.active .toggler-icon:nth-of-type(1) {
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
    top: 7px;
}

.navbar-toggler.active .toggler-icon:nth-of-type(2) {
    opacity: 0;
}

.navbar-toggler.active .toggler-icon:nth-of-type(3) {
    -webkit-transform: rotate(135deg);
    -moz-transform: rotate(135deg);
    -ms-transform: rotate(135deg);
    -o-transform: rotate(135deg);
    transform: rotate(135deg);
    top: -7px;
}

@media only screen and (min-width: 768px) and (max-width: 991px) {
    .navbar-collapse {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background-color: #2c2d2f;
        z-index: 9;
        -webkit-box-shadow: 0px 15px 20px 0px rgba(0, 0, 0, 0.1);
        -moz-box-shadow: 0px 15px 20px 0px rgba(0, 0, 0, 0.1);
        box-shadow: 0px 15px 20px 0px rgba(0, 0, 0, 0.1);
        padding: 5px 12px;
    }
}

@media (max-width: 767px) {
    .navbar-collapse {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background-color: #2c2d2f;
        z-index: 9;
        -webkit-box-shadow: 0px 15px 20px 0px rgba(56, 66, 77, 0.1);
        -moz-box-shadow: 0px 15px 20px 0px rgba(56, 66, 77, 0.1);
        box-shadow: 0px 15px 20px 0px rgba(56, 66, 77, 0.1);
        padding: 5px 12px;
    }
}

.navbar-nav .nav-item {
    margin-left: 45px;
    position: relative;
}

.navbar-nav .nav-item:first-child {
    margin-left: 0;
}

@media only screen and (min-width: 992px) and (max-width: 1199px) {
    .navbar-nav .nav-item {
        margin-left: 30px;
    }
}

@media only screen and (min-width: 768px) and (max-width: 991px) {
    .navbar-nav .nav-item {
        margin: 0;
    }
}

@media (max-width: 767px) {
    .navbar-nav .nav-item {
        margin: 0;
    }
}

.navbar-nav .nav-item a {
    font-size: 16px;
    font-weight: 600;
    color: var(--white);
    -webkit-transition: all 0.3s ease-out 0s;
    -moz-transition: all 0.3s ease-out 0s;
    -ms-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    transition: all 0.3s ease-out 0s;
    position: relative;
}

@media only screen and (min-width: 768px) and (max-width: 991px) {
    .navbar-nav .nav-item a {
        display: block;
        padding: 4px 0;
    }
}

@media (max-width: 767px) {
    .navbar-nav .nav-item a {
        display: block;
        padding: 4px 0;
    }
}

.navbar-nav .nav-item.active>a,
.navbar-nav .nav-item:hover>a {
    color: var(--gold);
}

.navbar-nav .nav-item:hover .sub-menu {
    top: 100%;
    opacity: 1;
    visibility: visible;
}

@media only screen and (min-width: 768px) and (max-width: 991px) {
    .navbar-nav .nav-item:hover .sub-menu {
        top: 0;
    }
}

@media (max-width: 767px) {
    .navbar-nav .nav-item:hover .sub-menu {
        top: 0;
    }
}

.navbar-nav .nav-item .sub-menu {
    width: 200px;
    background-color: #fff;
    -webkit-box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.1);
    position: absolute;
    top: 110%;
    left: 0;
    opacity: 0;
    visibility: hidden;
    -webkit-transition: all 0.3s ease-out 0s;
    -moz-transition: all 0.3s ease-out 0s;
    -ms-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    transition: all 0.3s ease-out 0s;
}

@media only screen and (min-width: 768px) and (max-width: 991px) {
    .navbar-nav .nav-item .sub-menu {
        position: relative;
        width: 100%;
        top: 0;
        display: none;
        opacity: 1;
        visibility: visible;
    }
}

@media (max-width: 767px) {
    .navbar-nav .nav-item .sub-menu {
        position: relative;
        width: 100%;
        top: 0;
        display: none;
        opacity: 1;
        visibility: visible;
    }
}

.navbar-nav .nav-item .sub-menu li {
    display: block;
}

.navbar-nav .nav-item .sub-menu li a {
    display: block;
    padding: 8px 20px;
    color: #222;
}

.navbar-nav .nav-item .sub-menu li a.active,
.navbar-nav .nav-item .sub-menu li a:hover {
    padding-left: 25px;
    color: #015734;
}

.navbar-nav .sub-nav-toggler {
    display: none;
}

@media only screen and (min-width: 768px) and (max-width: 991px) {
    .navbar-nav .sub-nav-toggler {
        display: block;
        position: absolute;
        right: 0;
        top: 0;
        background: none;
        color: #222;
        font-size: 18px;
        border: 0;
        width: 30px;
        height: 30px;
    }
}

@media (max-width: 767px) {
    .navbar-nav .sub-nav-toggler {
        display: block;
        position: absolute;
        right: 0;
        top: 0;
        background: none;
        color: #222;
        font-size: 18px;
        border: 0;
        width: 30px;
        height: 30px;
    }
}

.navbar-nav .sub-nav-toggler span {
    width: 8px;
    height: 8px;
    border-left: 1px solid #222;
    border-bottom: 1px solid #222;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
    position: relative;
    top: -5px;
}

/*===== HEADER HERO =====*/
.header-hero {
    position: relative;
    z-index: 5;
    background-position: bottom center;
    /* height: 800px; */
    height: 100vh;
}

@media only screen and (min-width: 1400px) {
    .header-hero {
        height: 900px;
    }
}

@media only screen and (min-width: 768px) and (max-width: 991px) {
    .header-hero {
        height: auto;
    }
}

@media (max-width: 767px) {
    .header-hero {
        height: auto;
    }
}

.header-hero .shape {
    position: absolute;
}

@media (max-width: 767px) {
    .header-hero .shape {
        display: none;
    }
}

.header-hero-content {
    position: relative;
    z-index: 9;
}

.header-hero-content ul li a.hoja-vida {
    font-family: "Open Sans", sans-serif;
}

.header-hero-content ul li a.contactame {
    background-color: #525A63;
    border: #525A63;
    -webkit-box-shadow: 0px 4px 10px 0px rgba(82, 90, 99, 0.4);
    -moz-box-shadow: 0px 4px 10px 0px rgba(82, 90, 99, 0.4);
    box-shadow: 0px 4px 10px 0px rgba(82, 90, 99, 0.4);
}

@media only screen and (min-width: 768px) and (max-width: 991px) {
    .header-hero-content {
        padding-top: 150px;
    }
}

@media (max-width: 767px) {
    .header-hero-content {
        padding-top: 120px;
    }
}

.header-hero-content .header-title {
    font-size: 80px !important;
    color: #38424D;
}

@media only screen and (min-width: 992px) and (max-width: 1199px) {
    .header-hero-content .header-title {
        font-size: 60px !important;
    }
}

@media (max-width: 767px) {
    .header-hero-content .header-title {
        font-size: 50px !important;
    }
}

@media only screen and (min-width: 576px) and (max-width: 767px) {
    .header-hero-content .header-title {
        font-size: 60px !important;
    }
}

.header-hero-content .header-title span {
    display: contents;
    color: var(--gold);
}

.header-hero-content .text {
    margin-top: 30px;
}

.header-hero-content ul {
    margin-top: 30px;
}

.header-hero-content ul li {
    margin-left: 50px;
}

.header-hero-content ul li:first-child {
    margin-left: 0;
}

.header-hero-content .main-btn {
    margin-top: 10px;
}

.header-hero-content .header-video {
    margin-top: 15px;
    width: 50px;
    height: 50px;
    line-height: 50px;
    text-align: center;
    color: #fff;
    font-size: 18px;
    border-radius: 50%;
    background-color: #015734;
    position: relative;
    z-index: 5;
}

.header-hero-content .header-video::before {
    position: absolute;
    content: '';
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-color: rgba(8, 152, 231, 0.8);
    top: 0;
    left: 0;
    -webkit-animation: video 2s linear infinite;
    -moz-animation: video 2s linear infinite;
    -o-animation: video 2s linear infinite;
    animation: video 2s linear infinite;
    z-index: -1;
}

@keyframes video {
    0% {
        -webkit-transform: scale(1);
        -moz-transform: scale(1);
        -ms-transform: scale(1);
        -o-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(1.4);
        -moz-transform: scale(1.4);
        -ms-transform: scale(1.4);
        -o-transform: scale(1.4);
        transform: scale(1.4);
        opacity: 0;
    }
}

@-webkit-keyframes video {
    0% {
        -webkit-transform: scale(1);
        -moz-transform: scale(1);
        -ms-transform: scale(1);
        -o-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(1.4);
        -moz-transform: scale(1.4);
        -ms-transform: scale(1.4);
        -o-transform: scale(1.4);
        transform: scale(1.4);
        opacity: 0;
    }
}

.header-image {
    /* padding-top: 80px; */
    position: relative;
    z-index: 5;
}

.header-image .image {
    width: 100%;
}

.header-image .image-shape {
    position: absolute;
    bottom: -100px;
    left: -115px;
    z-index: -1;
}

@media (max-width: 767px) {
    .header-image .image-shape {
        left: -90px;
    }
}

.header-image .image-shape img {
    max-width: 350px;
}

@media (max-width: 767px) {
    .header-image .image-shape img {
        max-width: 250px;
    }
}


/*===== All Button Style =====*/
.main-btn {
    display: inline-block;
    font-weight: 500;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 2px solid var(--gold) !important;
    padding: 0 25px;
    font-size: 16px;
    height: 55px;
    line-height: 51px;
    border-radius: 30px;
    color: #000;
    cursor: pointer;
    z-index: 5;
    -webkit-transition: all 0.4s ease-out 0s;
    -moz-transition: all 0.4s ease-out 0s;
    -ms-transition: all 0.4s ease-out 0s;
    -o-transition: all 0.4s ease-out 0s;
    transition: all 0.4s ease-out 0s;
    background-color: var(--gold) !important;
    font-weight: 600;
}

.main-btn:hover {
    background-color: rgb(171, 163, 100) !important;
    color: #fff;
    border-color: transparent !important;
}

.main-btn.main-btn-2 {
    background-color: transparent;
    color: #525A63;
    border-color: #525A63;
}

.main-btn.main-btn-2:hover {
    background-color: rgba(82, 90, 99, 0.5);
    color: #525A63;
}

.card-service {
    -webkit-box-shadow: 0px 0px 10px 0px rgba(154, 154, 154, 0.16);
    -moz-box-shadow: 0px 0px 10px 0px rgba(154, 154, 154, 0.16);
    box-shadow: 0px 0px 10px 0px rgba(154, 154, 154, 0.16);
    -webkit-transition: all 0.3s ease-out 0s;
    -moz-transition: all 0.3s ease-out 0s;
    -ms-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    transition: all 0.3s ease-out 0s;
    padding: 15px 15px 15px;
    background-color: #38424D;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: start;
    height: 100%;
}

.single-services {
    cursor: pointer;
}

@media (max-width: 767px) {
    .single-services {
        padding: 15px 15px 15px;
    }
}

.single-services .services-image {
    width: 100%;
    height: 100%;
    /* margin: 0 auto;
    position: relative;
    text-align: center;
    max-height: 160px;
    object-fit: contain; */
}

.single-services .services-image img {
    max-width: 100%;
    height: 160px;
    border-radius: 10px;
    background-position: center center;
    background-size: cover;
    object-fit: contain;
}

.single-services .services-icon {
    width: 79px;
    height: 79px;
    border-radius: 50%;
    margin: 0 auto;
    position: relative;
    text-align: center;
}

.single-services .services-icon i {
    font-size: 46px;
    line-height: 79px;
    color: #fff;
}

.single-services .services-icon::before {
    position: absolute;
    content: '';
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -ms-transform: scale(1.2);
    -o-transform: scale(1.2);
    transform: scale(1.2);
    border-radius: 50%;
    z-index: -1;
}

.single-services .services-content {
    margin-top: 10px;
    height: 100%;
}

.single-services .services-content .services-title a {
    font-size: 18px;
    font-weight: 500;
    color: #fff;
    -webkit-transition: all 0.3s ease-out 0s;
    -moz-transition: all 0.3s ease-out 0s;
    -ms-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    transition: all 0.3s ease-out 0s;
}

@media (max-width: 767px) {
    .single-services .services-content .services-title a {
        font-size: 20px;
    }
}

.single-services .services-content .text {
    margin-top: 30px;
}

.single-services.services-color-1 .services-icon {
    background-color: #E7A019;
}

.single-services.services-color-1 .services-icon::before {
    background-color: rgba(231, 160, 25, 0.2);
}

.single-services.services-color-1 .services-content .services-title a:hover {
    color: #E7A019;
}

.single-services.services-color-2 .services-icon {
    background-color: #E54F4F;
}

.single-services.services-color-2 .services-icon::before {
    background-color: rgba(229, 79, 79, 0.2);
}

.single-services.services-color-2 .services-content .services-title a:hover {
    color: #E54F4F;
}

.single-services.services-color-3 .services-icon {
    background-color: #8950E4;
}

.single-services.services-color-3 .services-icon::before {
    background-color: rgba(137, 80, 228, 0.2);
}

.single-services.services-color-3 .services-content .services-title a:hover {
    color: #8950E4;
}

.single-services.services-color-4 .services-icon {
    background-color: #015734;
}

.single-services.services-color-4 .services-icon::before {
    background-color: rgba(8, 152, 231, 0.2);
}

.single-services.services-color-4 .services-content .services-title a:hover {
    color: #015734;
}

/* .single-services:hover {
    -webkit-box-shadow: 0px 15px 17px 0px rgba(154, 154, 154, 0.16);
    -moz-box-shadow: 0px 15px 17px 0px rgba(154, 154, 154, 0.16);
    box-shadow: 0px 15px 17px 0px rgba(154, 154, 154, 0.16);
} */

.bg-css {
    background-color: #4472C4 !important;
}

.bg-css::before {
    background-color: rgba(68, 114, 196, 0.2) !important;
}

.bg-html {
    background-color: #E65100 !important;
}

.bg-html::before {
    background-color: rgba(230, 81, 0, 0.2) !important;
}

.bg-js {
    background-color: #E7A019 !important;
}

.bg-js::before {
    background-color: rgba(231, 160, 25, 0.2) !important;
}

.bg-php {
    background-color: #8950E4 !important;
}

.bg-php::before {
    background-color: rgba(137, 80, 228, 0.2) !important;
}

.bg-node {
    background-color: #015734 !important;
}

.bg-node::before {
    background-color: rgba(8, 152, 231, 0.2) !important;
}

.bg-flutter {
    background-color: #51BFF0 !important;
}

.bg-flutter::before {
    background-color: rgba(81, 191, 240, 0.2) !important;
}

.bg-mysql {
    background-color: #097B9D !important;
}

.bg-mysql::before {
    background-color: rgba(9, 123, 157, 0.2) !important;
}


/* GENERAL */
.left-div {
    font-size: 25px;
    bottom: 0px;
    border-radius: 5px;
    z-index: 99;
}

.center-div {
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translate(-50%, -50%);
    border: none;
    width: 60px;
    height: 60px;
    cursor: pointer;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    transition: background-color 0.3s ease;
    z-index: 9999;
}

.boton-palpito {
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    width: 40px;
    height: 40px;
    cursor: pointer;
    z-index: 9999;
    animation: palpito 1s infinite;
}

@keyframes palpito {

    0%,
    100% {
        transform: translate(-50%, -50%) scale(1);
    }

    50% {
        transform: translate(-50%, -50%) scale(1.1);
    }
}

.btn-preview {
  display: inline-block;
  padding: 12px 30px;
  font-weight: 600;
  color: #fff;
  background: linear-gradient(135deg, #007bff, #00c6ff);
  border: none;
  border-radius: 50px;
  transition: all 0.3s ease;
  text-decoration: none;
  box-shadow: 0 4px 10px rgba(0, 123, 255, 0.3);
}

.btn-preview:hover {
  background: linear-gradient(135deg, #00c6ff, #007bff);
  transform: translateY(-3px);
  box-shadow: 0 6px 15px rgba(0, 123, 255, 0.5);
}

.btn-preview-outline {
  display: inline-block;
  padding: 12px 30px;
  font-weight: 600;
  color: #007bff;
  border: 2px solid #007bff;
  border-radius: 10px;
  transition: all 0.3s ease;
  text-decoration: none;
}

.btn-preview-outline:hover {
  background: #007bff;
  color: #fff;
  transform: scale(1.05);
}

.btn-preview-dark {
  display: inline-block;
  padding: 8px 30px;
  font-weight: 600;
  background-color: #1f2937;
  color: #fff;
  border: 1px solid #4b5563;
  border-radius: 8px;
  text-decoration: none;
  transition: all 0.3s ease;
}

.btn-preview-dark:hover {
  color: #fff;
  border: 1px solid var(--gold);
  box-shadow: 0 0 15px var(--gold);
}

.btn-preview-dark-disable {
  display: inline-block;
  padding: 8px 30px;
  font-weight: 600;
  background-color: #1f2937;
  color: #fff;
  border: 1px solid #4b5563;
  border-radius: 8px;
  pointer-events: none; 
}
